
## README

### Project Overview
This project contains a Jupyter notebook for training and evaluating the proposed model using deep learning techniques. The data and notebook are located in the same directory for easy access and execution.

### Prerequisites
Make sure you have the following packages installed with the specified versions to ensure compatibility with the notebook:

- **pandas**: 2.0.3
- **numpy**: 1.24.3
- **torch**: 2.1.1
- **scikit-learn**: 1.3.0
- **tqdm**: 4.66.1

To install the required packages, you can run:

```bash
pip install pandas numpy torch scikit-learn tqdm
```

### How to Run
1. Clone or download this repository.
2. Open the Jupyter notebook `dcMltR-KAN.ipynb` located in the project directory.
3. Run all cells sequentially to train and evaluate the model.

### Data
Make sure that the dataset is in the same directory as the notebook. The notebook is configured to automatically load the data from the directory.

### Notes
- Ensure that your system has enough computational resources (GPU recommended) for running the notebook efficiently.
